# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Interface GphotoData

All Superinterfaces:
  Extensible

All Known Subinterfaces:
  AlbumData, CommentData, PhotoData, TagData, UserData

All Known Implementing Classes:
  AlbumDataImpl, AlbumEntry, AlbumFeed, CommentDataImpl, CommentEntry, GphotoDataImpl, GphotoEntry, GphotoFeed, PhotoDataImpl, PhotoEntry, PhotoFeed, TagDataImpl, TagEntry, UserDataImpl, UserEntry, UserFeed

    public interface GphotoData

extends Extensible

Data interface for all of the photos data items. This is the base interface for the methods that all photos items should support. This interface contains the setters and getters for the system id of an element, which is the permanent id on the server.

Method Summary
`java.lang.String` `getGphotoId()` Gets the gphoto:id of the data object.
`void` `setGphotoId(java.lang.Long id)` Sets the id of this feed or entry.
`void` `setGphotoId(java.lang.String id)` Sets the id of this feed or entry.

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, declareExtensions, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Method Detail

### getGphotoId

    java.lang.String getGphotoId()

  Gets the gphoto:id of the data object. The gphoto:id is the photos-specific system id of the object, provided by the server at object creation time.

  Returns:
    the Gphoto id.

### setGphotoId

    void setGphotoId(java.lang.Long id)

  Sets the id of this feed or entry. This field is normally read-only, but can be used on the client to perform a copy operation when creating a new object based on an existing object.

  Parameters:
    `id` - the long version of the id of this feed or entry.

### setGphotoId

    void setGphotoId(java.lang.String id)

  Sets the id of this feed or entry. This field is normally read-only, but can be used on the client to perform a copy operation when creating a new object based on an existing object.

  Parameters:
    `id` - the string version of the id of this feed or entry.